Subject: Re: Improved <toplabel> idea

From: Frank Ellermann <[email-masked]>
Date: Mon, 31 Jul 2006 14:34:37 +0200

Charles Lindsey wrote (in April):

> I grant you that your syntax is neat and does the job, but it
> is really someone else's job to fix it.

Credits to Matthew.van.Eerde for the simple variant. I thought
it's a bit better than what we have if we extend it to "minimal
length two" (as we have it already, only somewhat convoluted).

Translating what we have to his style I arrived at:

>>| toplabel =
>>|       ( alpha 1*alphanum ) / ( 1*digit alpha *alphanum ) /
>>|       ( 1*alphanum "-" *( alphanum / "-" ) alphanum )

Matter of taste, probably, if you like our old solution better.

The 4408 folks picked his original idea (= minimal length one),
not our ABNF (= minimal length two), and not the combination.

Bye, Frank